FIND_BUSIEST_GROUP(9)

NAME
find_busiest_group - Returns the busiest group within the sched_domain if there is an imbalance. If there isn't an imbalance, and the user has opted for power-savings, it returns a group whose CPUs can be put to idle by rebalancing those tasks elsewhere, if such a group exists.

SYNOPSIS

struct sched_group * find_busiest_group(struct lb_env * env);

ARGUMENTS

env
    The load balancing environment.

DESCRIPTION

Also calculates the amount of weighted load which should be moved to restore balance.

RETURN

- The busiest group if imbalance exists. - If no imbalance and user has opted for power-savings balance, return the least loaded group whose CPUs can be put to idle by rebalancing its tasks onto our group.

COPYRIGHT